<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>TicketTypeController</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TicketTypeController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TicketTypeController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">controller</a></div>
<h2 title="Class TicketTypeController" class="title">Class TicketTypeController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Controller.html" title="class in controller">controller.Controller</a></li>
<li>
<ul class="inheritance">
<li>controller.TicketTypeController</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">TicketTypeController</span>
extends <a href="Controller.html" title="class in controller">Controller</a></pre>
<div class="block">Controller for request and change basic ticket type</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_AFTERNOON">ACTION_AFTERNOON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_FAMILY">ACTION_FAMILY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_GENERAL">ACTION_GENERAL</a></span></code></th>
<td class="colLast">
<div class="block">Constants for actions</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_LABORABLE">ACTION_LABORABLE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_TICKET_TYPE">ERROR_TICKET_TYPE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_AFTERNOON">MENU_TEXT_AFTERNOON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_CAPTION">MENU_TEXT_CAPTION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_FAMILY">MENU_TEXT_FAMILY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_GENERAL">MENU_TEXT_GENERAL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_LABORABLE">MENU_TEXT_LABORABLE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ticket">ticket</a></span></code></th>
<td class="colLast">
<div class="block">Structure with the data of the entrance of the group of people.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKET_AFTERNOON">TICKET_AFTERNOON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKET_FAMILY">TICKET_FAMILY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKET_GENERAL">TICKET_GENERAL</a></span></code></th>
<td class="colLast">
<div class="block">Constants for tickets type</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKET_LABORABLE">TICKET_LABORABLE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">TicketTypeController</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code><a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code><a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTicket()">getTicket</a></span>()</code></th>
<td class="colLast">
<div class="block">Structure with the data of the entrance of the group of people.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code><a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#newTicketFromType(java.lang.String)">newTicketFromType</a></span>&#8203;(java.lang.String&nbsp;type)</code></th>
<td class="colLast">
<div class="block">Return new intance of ticket type indicated.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.controller.Controller">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;controller.<a href="Controller.html" title="class in controller">Controller</a></h3>
<code><a href="Controller.html#execMenu()">execMenu</a>, <a href="Controller.html#getOptionCaption(tools.MenuItem)">getOptionCaption</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="TICKET_GENERAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TICKET_GENERAL</h4>
<pre>public static final&nbsp;java.lang.String TICKET_GENERAL</pre>
<div class="block">Constants for tickets type</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.TICKET_GENERAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TICKET_LABORABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TICKET_LABORABLE</h4>
<pre>public static final&nbsp;java.lang.String TICKET_LABORABLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.TICKET_LABORABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TICKET_AFTERNOON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TICKET_AFTERNOON</h4>
<pre>public static final&nbsp;java.lang.String TICKET_AFTERNOON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.TICKET_AFTERNOON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TICKET_FAMILY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TICKET_FAMILY</h4>
<pre>public static final&nbsp;java.lang.String TICKET_FAMILY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.TICKET_FAMILY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_GENERAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_GENERAL</h4>
<pre>private static final&nbsp;int ACTION_GENERAL</pre>
<div class="block">Constants for actions</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.ACTION_GENERAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_LABORABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_LABORABLE</h4>
<pre>private static final&nbsp;int ACTION_LABORABLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.ACTION_LABORABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_FAMILY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_FAMILY</h4>
<pre>private static final&nbsp;int ACTION_FAMILY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.ACTION_FAMILY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_AFTERNOON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_AFTERNOON</h4>
<pre>private static final&nbsp;int ACTION_AFTERNOON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.ACTION_AFTERNOON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_CAPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_CAPTION</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_CAPTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.MENU_TEXT_CAPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_GENERAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_GENERAL</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_GENERAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.MENU_TEXT_GENERAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_LABORABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_LABORABLE</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_LABORABLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.MENU_TEXT_LABORABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_FAMILY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_FAMILY</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_FAMILY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.MENU_TEXT_FAMILY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_AFTERNOON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_AFTERNOON</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_AFTERNOON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.MENU_TEXT_AFTERNOON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_TICKET_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_TICKET_TYPE</h4>
<pre>private static final&nbsp;java.lang.String ERROR_TICKET_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketTypeController.ERROR_TICKET_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ticket">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ticket</h4>
<pre>private&nbsp;<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a> ticket</pre>
<div class="block">Structure with the data of the entrance of the group of people.
 It contains all the special features contracted and the final price of it.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TicketTypeController</h4>
<pre>public&nbsp;TicketTypeController()</pre>
<div class="block">Constructor</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="execOption(tools.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execOption</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;execOption&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</pre>
<div class="block">Execute the menu option indicated.
 Menu continue until exit option execute or false return</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#execOption(tools.MenuItem)">execOption</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>menuItem</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="newTicketFromType(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newTicketFromType</h4>
<pre class="methodSignature">public&nbsp;<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;newTicketFromType&#8203;(java.lang.String&nbsp;type)</pre>
<div class="block">Return new intance of ticket type indicated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Ticket</dd>
</dl>
</li>
</ul>
<a id="getMenu()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMenu</h4>
<pre class="methodSignature">public&nbsp;<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;getMenu()</pre>
<div class="block">Gets the list of options for the preparation of the menu.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#getMenu()">getMenu</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>MenuItem[]</dd>
</dl>
</li>
</ul>
<a id="getTicket()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTicket</h4>
<pre class="methodSignature">public&nbsp;<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;getTicket()</pre>
<div class="block">Structure with the data of the entrance of the group of people.
 It contains all the special features contracted and the final price of it.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Ticket</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TicketTypeController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
